Subject: bug#8541: closed (Re: bug#8541: start-process fails when both the program path and an argument contain spaces)

From: [email-masked] (GNU bug Tracking System)
Date: Thu, 01 Oct 2015 07:56:02 +0000

Your bug report

#8541: start-process fails when both the program path and an argument contain spaces

which was filed against the emacs package, has been closed.

The explanation is attached below, along with your original report.
If you require more details, please reply to [email-masked].

-- 
8541: http://debbugs.gnu.org/cgi/bugreport.cgi?bug=8541
GNU Bug Tracking System
Contact [email-masked] with problems

Subject: Re: bug#8541: start-process fails when both the program path and an argument contain spaces
From: Eli Zaretskii <[email-masked]>
To: Noam Postavsky <[email-masked]>
Cc: [email-masked]
Date: Thu, 01 Oct 2015 10:53:56 +0300
List-Id: <debbugs-submit.debbugs.gnu.org>

> Date: Wed, 30 Sep 2015 12:29:41 -0400
> From: Noam Postavsky <[email-masked]>
> 
> I believe this was fixed along with #18745 (while searching for it I
> happened to stumble upon this one).

Indeed, so closing this one.

Subject: start-process fails when both the program path and an argument contain spaces
From: Ivar Rummelhoff <[email-masked]>
To: [email-masked]
Date: Sun, 24 Apr 2011 12:01:17 +0200
List-Id: <debbugs-submit.debbugs.gnu.org>

1. Trying to execute

    (start-process "name" "buffer" "D:\\tmp\\xxx yyy\\foo.bat" "yada yada")

writes the following to "buffer":

    'd:\tmp\xxx' is not recognized as an internal or external command,
    operable program or batch file.

    Process name exited abnormally with code 1

Emacs version: GNU Emacs 23.3.1 (i386-mingw-nt6.1.7601) of 2011-03-10 on 3249CTO

2. If space is avoided in either the program path or the argument, as in

    (start-process "name" "buffer" "D:\\tmp\\foo.bat" "yada yada")
or
    (start-process "name" "buffer" "D:\\tmp\\xxx yyy\\foo.bat" "yada-yada")

then everything works well.

3. The same problem occurs when I give `start-process' the program
name only (instead of the full path) as long as the full path to the
program contains spaces (and one of the arguments contains spaces).

4. Quoting the program path or the argument (with " or \) does not
help. If quote the program path, I get "no such file or directory";
and quoting the argument has no effect as long as there is still a
space character "in there". (Besides, it seems any quoting of the
arguments is passed on to the program.)

5. There seems to be no work-around for this in emacs lisp.

Best Regards,

Ivar Rummelhoff